## cd-profile-sync

cd-profile-sync — Sync helpers for CdProfile

## Functions

gboolean | cd_profile_connect_sync ()
gboolean | cd_profile_set_property_sync ()
gboolean | cd_profile_install_system_wide_sync ()

## Description

These helper functions provide a simple way to use the async functions in command line tools.

See also: CdProfile

## Functions

### cd_profile_connect_sync ()

    gboolean
    cd_profile_connect_sync (CdProfile *profile,
                             GCancellable *cancellable,
                             GError **error);

Connects to the object and fills up initial properties.

WARNING: This function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

profile | a CdProfile instance. |
cancellable | a GCancellable or `NULL` |
error | a GError, or `NULL`. |

#### Returns

`TRUE` for success, else `FALSE`.

Since: 0.1.8

### cd_profile_set_property_sync ()

    gboolean
    cd_profile_set_property_sync (CdProfile *profile,
                                  const gchar *key,
                                  const gchar *value,
                                  GCancellable *cancellable,
                                  GError **error);

Sets properties on an object

WARNING: This function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

profile | a CdProfile instance. |
key | The key |
value | The value |
cancellable | a GCancellable or `NULL` |
error | a GError, or `NULL`. |

#### Returns

`TRUE` for success, else `FALSE`.

Since: 0.1.8

### cd_profile_install_system_wide_sync ()

    gboolean
    cd_profile_install_system_wide_sync (CdProfile *profile,
                                         GCancellable *cancellable,
                                         GError **error);

Sets the profile system wide.

WARNING: This function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

profile | a CdProfile instance. |
cancellable | a GCancellable or `NULL` |
error | a GError, or `NULL`. |

#### Returns

`TRUE` for success, else `FALSE`.

Since: 0.1.8